Hierarch Asterios:
To become an Elven Oracle, your level must be at least 20, and you must pass the Test of the Elven Oracle.
Remember, even if you earn the qualifications we cannot change your profession here. That is because it is our wish for young Elves to go out beyond the forest, to experience Human society and understand the larger world.
Therefore, if you wish to change occupations, you must leave the Elven Forest and go to the Human kingdom of Aden. The nearest place for a change of profession is Gludio Castle Town. Look for the High Priest Raymond at the temple. He will change your occupation, if you are ready.
Return